Page MenuHomePhabricator

Prepare and check storage layer for hiwikimedia
Closed, ResolvedPublic

Description

The new wiki will be a fishbowl one.

Event Timeline

Jayprakash12345 changed the task status from Open to Stalled.Feb 28 2018, 10:36 AM
Jayprakash12345 created this task.
Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptFeb 28 2018, 10:36 AM

Is this public? Does it need to be replicated to labs?

@Marostegui See T168788, Same thing will be happen here.

Thanks - let us know when it is created in production so we can:

Jayprakash12345 changed the task status from Stalled to Open.Apr 18 2018, 11:52 PM
Restricted Application added a project: Product-Analytics. · View Herald TranscriptApr 18 2018, 11:52 PM

@Marostegui Wiki has been created. Thanks.

Marostegui moved this task from Triage to In Progress on the Cloud-Services board.

I will make sure it is filtered before sending it to cloud-services-team

Marostegui removed Marostegui as the assignee of this task.Apr 20 2018, 12:06 PM
Marostegui moved this task from Blocked external/Not db team to Done on the DBA board.
Marostegui added a subscriber: bd808.
Bstorm claimed this task.Apr 23 2018, 6:57 PM

The wiki replica views and DNS are set. -- and updated that document so it is now correct.

Bstorm closed this task as Resolved.Apr 25 2018, 6:56 PM
Urbanecm reopened this task as Open.Apr 26 2018, 1:18 PM

It do not work correctly.

urbanecm@tools-bastion-03 ~  
$ sql hiwikimedia
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'hiwikimedia_p'
urbanecm@tools-bastion-03 ~ 
$
Marostegui closed this task as Resolved.Apr 26 2018, 1:33 PM

Should be fixed now

marostegui@tools-bastion-03:~$ sql --cluster web hiwikimedia_p
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 11498489
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [hiwikimedia_p]> Ctrl-C -- exit!
Aborted
marostegui@tools-bastion-03:~$ sql --cluster analytics hiwikimedia_p
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 23238546
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [hiwikimedia_p]> Ctrl-C -- exit!
Aborted

Change 429349 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] wiki replicas: add GRANT statement to $wiki_p database creation

https://gerrit.wikimedia.org/r/429349

Thanks! @Bstorm, are you sure this patch is directy related to this task? I think another task "Add GRANT statement to $wiki_p" should be created if a task is necessary.

Thanks! @Bstorm, are you sure this patch is directy related to this task? I think another task "Add GRANT statement to $wiki_p" should be created if a task is necessary.

It is directly related in the sense that it will fix future related tasks like this one.

Well, it isnt related to JUST this task but all task I reopened and you fixed.

Well, it isnt related to JUST this task but all task I reopened and you fixed.

That's why I said related tasks :)

Change 429349 merged by Bstorm:
[operations/puppet@production] wiki replicas: add GRANT statement to $wiki_p database creation

https://gerrit.wikimedia.org/r/429349